import chimera.extension

class MapSumsEMO(chimera.extension.EMO):
	def name(self):
		return "Map Sums"
	def description(self):
		return "Report average density around atoms"
	def categories(self):
		return ["Structure Analysis"]
	def activate(self):
		# Comment out if no GUI is needed
		from chimera.dialogs import display
		display(self.module("gui").MapSumsDialog.name)
		return None
	def cmdLine(self, cmdName, args):
		# Comment out if no command is needed
		self.module("cmdline").run(cmdName, args)

emo = MapSumsEMO(__file__)

chimera.extension.manager.registerExtension(emo)

from Midas.midas_text import addCommand
addCommand("mapsums", emo.cmdLine, help=True)
